## Function `split( words, regex )`

Description:
  Splits a string into an array of words separated by a given regular expression.

  The result is an array of strings, and if you want to use the individual elements you need to use square-bracket indexing, with `[0]` representing the first object

Parameters:
  `words` (String)
    string with multiple parts
  `regex` (String)
    regular expression delimiting the different words in the `words` parameter

Return Value (array of String):
  array of the separate words; you can extract the individual words from the result using square bracket indexing

Examples:
  - `split("cat, dog, cow", ", *")` gives a 3-element string array.
  - `split("23.0, 45.92", ", ")[0] = "23.0"`
  - `parseDouble(split("23.0, 45.92", ", ")[0]) = 23`

Signature:
  `String[] split(String, String)`